import { StateTypeExecutor } from '../StateTypeExecutor';
import type { ChoiceStateDefinition } from '../../types/State';
import type { StateExecutorOutput } from '../../types/StateExecutorOutput';
export declare class ChoiceExecutor implements StateTypeExecutor {
    execute(_stateMachineName: string, _stateName: string, definition: ChoiceStateDefinition, json: string | undefined): Promise<StateExecutorOutput>;
    private processInput;
    private processOutput;
    private evaluateChoice;
    private checkEquals;
    private checkGreaterThan;
    private checkGreaterThanEquals;
    private checkLowerThan;
    private checkLowerThanEquals;
    private getComparatorFromChoice;
}
