import type { WaitStateDefinition } from '../../types/State';
import type { StateExecutorOutput } from '../../types/StateExecutorOutput';
import { StateTypeExecutor } from '../StateTypeExecutor';
export declare class WaitExecutor implements StateTypeExecutor {
    private readonly logger;
    constructor();
    execute(_stateMachineName: string, _stateName: string, definition: WaitStateDefinition, inputJson: string | undefined): Promise<StateExecutorOutput>;
    private processInput;
    private processOutput;
    private convertSecondsToMillis;
    private convertTimestamptoMillis;
    private getSecondsFromPath;
    private getTimestampFromPath;
}
