import type { StateMachine } from './types/StateMachine';
import type { StateDefinition } from './types/State';
export declare class StateMachineExecutor {
    private readonly stateMachine;
    private readonly _startDate;
    private readonly _executionArn;
    private readonly logger;
    private currentStateName;
    constructor(stateMachine: StateMachine);
    execute(stateDefinition: StateDefinition, inputJson: string | undefined): Promise<string | void>;
    get startDate(): Date;
    get executionArn(): string;
}
