"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SucceedExecutor = void 0;
const Logger_1 = require("../../utils/Logger");
class SucceedExecutor {
    constructor() {
        this.logger = Logger_1.Logger.getInstance();
    }
    execute(stateMachineName, stateName, _definition, inputJson) {
        this.logger.log(`StateMachine "${stateMachineName}" succeed on "${stateName}"`);
        return Promise.resolve({
            End: true,
            json: inputJson || '{}',
        });
    }
}
exports.SucceedExecutor = SucceedExecutor;
