import type { StateTypeExecutor } from '../StateTypeExecutor';
import type { StateExecutorOutput } from '../../types/StateExecutorOutput';
import type { TaskStateDefinition } from '../../types/State';
export declare class TaskExecutor implements StateTypeExecutor {
    execute(stateMachineName: string, stateName: string, stateDefinition: TaskStateDefinition, inputJson: string | undefined): Promise<StateExecutorOutput>;
    private processInput;
    private processOutput;
    private getWebpackOrCommonFuction;
}
